Package org.apache.catalina.manager

## Class StatusManagerServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.catalina.manager.StatusManagerServlet

All Implemented Interfaces:
  `java.io.Serializable`, `java.util.EventListener`, `javax.management.NotificationListener`, `Servlet`, `ServletConfig`

    public class StatusManagerServlet
    extends HttpServlet
    implements javax.management.NotificationListener

This servlet will display a complete status of the HTTP/1.1 connector.

Author:
  Remy Maucherat
See Also:
  Serialized Form

### Field Summary

Fields
`protected java.util.Vector<javax.management.ObjectName>` `globalRequestProcessors` Vector of global request processors object names.
`protected javax.management.MBeanServer` `mBeanServer` MBean server.
`protected java.util.Vector<javax.management.ObjectName>` `protocolHandlers` Deprecated. Unused.
`protected java.util.Vector<javax.management.ObjectName>` `requestProcessors` Vector of request processors object names.
`protected static StringManager` `sm` The string manager for this package.
`protected java.util.Vector<javax.management.ObjectName>` `threadPools` Vector of thread pools object names.

### Constructor Summary

Constructors
`StatusManagerServlet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `destroy()` Finalize this servlet.
`void` `doGet​(HttpServletRequest request, HttpServletResponse response)` Process a GET request for the specified resource.
`void` `handleNotification​(javax.management.Notification notification, java.lang.Object handback)`
`void` `init()` Initialize this servlet.

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mBeanServer

    protected javax.management.MBeanServer mBeanServer

MBean server.

#### protocolHandlers

    @Deprecated
    protected final java.util.Vector<javax.management.ObjectName> protocolHandlers

Deprecated.
Unused. Will be removed in Tomcat 10.1.x
Vector of protocol handlers object names.

#### threadPools

    protected final java.util.Vector<javax.management.ObjectName> threadPools

Vector of thread pools object names.

#### requestProcessors

    protected final java.util.Vector<javax.management.ObjectName> requestProcessors

Vector of request processors object names.

#### globalRequestProcessors

    protected final java.util.Vector<javax.management.ObjectName> globalRequestProcessors

Vector of global request processors object names.

#### sm

    protected static final StringManager sm

The string manager for this package.

### Constructor Detail

#### StatusManagerServlet

    public StatusManagerServlet()

### Method Detail

#### init

    public void init()
              throws ServletException

Initialize this servlet.

Overrides:
  `init` in class `GenericServlet`
Throws:
  `ServletException` - if an exception occurs that interrupts the servlet's normal operation

#### destroy

    public void destroy()

Finalize this servlet.

Specified by:
  `destroy` in interface `Servlet`
Overrides:
  `destroy` in class `GenericServlet`

#### doGet

    public void doGet​(HttpServletRequest request,
                      HttpServletResponse response)
               throws java.io.IOException,
                      ServletException

Process a GET request for the specified resource.

Overrides:
  `doGet` in class `HttpServlet`
Parameters:
  `request` - The servlet request we are processing
  `response` - The servlet response we are creating
Throws:
  `java.io.IOException` - if an input/output error occurs
  `ServletException` - if a servlet-specified error occurs
See Also:
  `ServletResponse.setContentType(java.lang.String)`

#### handleNotification

    public void handleNotification​(javax.management.Notification notification,
                                   java.lang.Object handback)

Specified by:
  `handleNotification` in interface `javax.management.NotificationListener`